﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits=" MindFusion.Scheduling.Samples.VB.ICalendarFormat._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
    TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MindFusion WebPlanner Sample - ICalendar Format</title>
    <link href="common/jquery-ui.min.css" rel="stylesheet" />
    <link href="common/samples.css" rel="stylesheet" />
    <script type="text/javascript" src="common/jquery.min.js"></script>
    <script type="text/javascript" src="common/jquery-ui.min.js"></script>
    <script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager3" runat="server">
    </asp:ScriptManager>
    <input type="hidden" id="collapsed" runat="server" />
    <div id="header" style="height: 49px;">
        <div style="float: left; margin-top: 17px;">
            <asp:Button ID="btnClear" runat="server" Text="Clear" OnClick="btnClear_Click" />
            <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
            <asp:Button ID="btnLoad" runat="server" Text="Load" OnClick="btnLoad_Click" />
        </div>
        <div style="float: right; margin-right: 5px; margin-top: 17px;">
            <button id="Button1" onclick="onExpandCollapse()">
                &gt;</button>
        </div>
    </div>
    <div id="info" style="top: 60px; bottom: 24px;">
        <div id="infoTab" style="padding: 10px;">
            <h1>
                About this sample</h1>
            <p>
                This sample implements saving and loading MindFusion.Scheduling schedule data to
                the iCalendar format. Use the buttons at the top to save, load and clear the schedule.
            </p>
            <p>
                Note: This sample uses the DDay.iCal class library for operation with iCalendar
                format files. If you want to use this library in your code, please conform to its
                <a href='License.txt'>license</a>.</p>
        </div>
    </div>
    <div id="content" style="top: 60px; bottom: 24px;">
        <div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
            <MindFusion:Calendar ID="calendar" runat="server" Width="100%" Height="100%" CurrentView="WeekRange"
                Theme="Vista" FormShowScript="onFormShow">
                <WeekRangeSettings HeaderStyle="Title" TitleFormat="dd MMM yyyy">
                    <DaySettings FirstDayOfMonthFormat="d MMMM">
                    </DaySettings>
                </WeekRangeSettings>
            </MindFusion:Calendar>
        </div>
    </div>
    <div id="footer" style="height: 24px;">
        <span id="copyright"></span>
    </div>
    <script type="text/javascript">
        function onFormShow(sender, args)
        {
            var form = args.get_form();
            if (form.getId() == "RecurrenceForm")
            {
                form.getControls()['interval'].element.parentElement.style.visibility = 'hidden';
            }
        }
    </script>
    </form>
</body>
</html>
